python-pygraphviz_1.5-1+b1_amd64.deb


Advertisement

Description

python-pygraphviz - Python interface to the Graphviz graph layout and visualization package

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package filename python-pygraphviz_1.5-1+b1_amd64.deb
Package name python-pygraphviz
Package version 1.5
Package release 1+b1
Package architecture amd64
Package type deb
Category devel::lang:c devel::lang:python devel::library implemented-in::c implemented-in::python python role::devel-lib role::shared-lib
Homepage https://pygraphviz.github.io/
License -
Maintainer Sandro Tosi <morph@debian.org>
Download size 74.98 KB
Installed size 409.00 KB

Alternatives

Package Version Architecture Repository
python-pygraphviz_1.5-1_i386.deb 1.5 i386 Debian Main
python-pygraphviz_1.3.1-1~nd+1_i386.deb 1.3.1 i386 NeuroDebian Main
python-pygraphviz_1.3.1-1~nd+1_amd64.deb 1.3.1 amd64 NeuroDebian Main
python-pygraphviz - - -

Requires

Name Value
graphviz >= 2.16
libc6 >= 2.14
libcgraph6 -
python >= 2.7~
python << 2.8
python:any << 2.8
python:any >= 2.7~

Download

Type URL
Mirror ftp.br.debian.org
Binary Package python-pygraphviz_1.5-1+b1_amd64.deb
Source Package python-pygraphviz

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-pygraphviz deb package:
    # sudo apt-get install python-pygraphviz

Files

Path
/usr/lib/python2.7/dist-packages/pygraphviz/__init__.py
/usr/lib/python2.7/dist-packages/pygraphviz/_graphviz.x86_64-linux-gnu.so
/usr/lib/python2.7/dist-packages/pygraphviz/agraph.py
/usr/lib/python2.7/dist-packages/pygraphviz/graphviz.i
/usr/lib/python2.7/dist-packages/pygraphviz/graphviz.py
/usr/lib/python2.7/dist-packages/pygraphviz/graphviz_wrap.c
/usr/lib/python2.7/dist-packages/pygraphviz/release.py
/usr/lib/python2.7/dist-packages/pygraphviz/version.py
/usr/lib/python2.7/dist-packages/pygraphviz-1.5.egg-info/PKG-INFO
/usr/lib/python2.7/dist-packages/pygraphviz-1.5.egg-info/dependency_links.txt
/usr/lib/python2.7/dist-packages/pygraphviz-1.5.egg-info/top_level.txt
/usr/lib/python2.7/dist-packages/pygraphviz/tests/__init__.py
/usr/lib/python2.7/dist-packages/pygraphviz/tests/test.py
/usr/lib/python2.7/dist-packages/pygraphviz/tests/test_attribute_defaults.py
/usr/lib/python2.7/dist-packages/pygraphviz/tests/test_attributes.py
/usr/lib/python2.7/dist-packages/pygraphviz/tests/test_clear.py
/usr/lib/python2.7/dist-packages/pygraphviz/tests/test_drawing.py
/usr/lib/python2.7/dist-packages/pygraphviz/tests/test_edge_attributes.py
/usr/lib/python2.7/dist-packages/pygraphviz/tests/test_graph.py
/usr/lib/python2.7/dist-packages/pygraphviz/tests/test_html.py
/usr/lib/python2.7/dist-packages/pygraphviz/tests/test_layout.py
/usr/lib/python2.7/dist-packages/pygraphviz/tests/test_node_attributes.py
/usr/lib/python2.7/dist-packages/pygraphviz/tests/test_readwrite.py
/usr/lib/python2.7/dist-packages/pygraphviz/tests/test_setup.py
/usr/lib/python2.7/dist-packages/pygraphviz/tests/test_string.py
/usr/lib/python2.7/dist-packages/pygraphviz/tests/test_subgraph.py
/usr/lib/python2.7/dist-packages/pygraphviz/tests/test_unicode.py
/usr/share/doc/python-pygraphviz/changelog.Debian.amd64.gz
/usr/share/doc/python-pygraphviz/changelog.Debian.gz
/usr/share/doc/python-pygraphviz/copyright

Changelog

2018-11-23 - Sandro Tosi <morph@debian.org>
python-pygraphviz (1.5-1) unstable; urgency=medium
[ Ondřej Nový ]
* d/control: Set Vcs-* to salsa.debian.org
* d/control: Deprecating priority extra as per policy 4.0.1
* d/watch: Use https protocol
* Convert git repository from git-dpm to gbp layout
[ Sandro Tosi ]
* New upstream release; Closes: #914378
* debian/copyright
- extend packaging copyright years
- update upstream copyright years
* debian/control
- bump Standards-Version to 4.2.1 (no changes needed)
* debian/{control,rules}
- build with py3k sphinx
2017-01-08 - Sandro Tosi <morph@debian.org>
python-pygraphviz (1.4~rc1-1) unstable; urgency=medium
* New upstream release candidate
* Acknowledge NMU, thanks!! Closes: #840845
* debian/copyright
- extend packaging copyright years
* debian/control
- add mock to b-d, needed by tests
- remove X-P-V fields, no longer needed
* compat level 10
* debian/rules
- remove doc/build in clean target, this allows the package to be built
twice in a row; Closes: #825922
- make tests errors fail the build; Closes: #842539
2016-10-30 - Cyril Brulebois <kibi@debian.org>
python-pygraphviz (1.3.1-1.1) unstable; urgency=high
* Non-maintainer upload.
* Remove “set -e; \” line in the dh_auto_test override, which was commented
out already. Test results are ignored entirely anyway. This fixes the
FTBFS with /bin/sh as bash, thanks to Chris Lamb (Closes: #840845).
2016-04-23 - Sandro Tosi <morph@debian.org>
python-pygraphviz (1.3.1-1) unstable; urgency=medium
[ Sandro Tosi ]
* New upstream release; Closes: #794444, #819739
* debian/copyright
- extend upstream copyright years
- extend packaging copyright years
- convert to DEP-5 format
- add files from new upstream release
* debian/rules
- don't install README.*, not very informative
- print for which python flavour we're running the tests
- increase test verbosity
- dont fail the build it tests fail
* debian/control
- update Homepage field
- bump Standards-Version to 3.9.8 (no changes needed)
[ Ondřej Nový ]
* Fixed VCS URL (https)
2015-06-29 - Sandro Tosi <morph@debian.org>
python-pygraphviz (1.3~rc2-3) unstable; urgency=medium
* debian/control
- suggests the -doc package
2015-02-14 - Sandro Tosi <morph@debian.org>
python-pygraphviz (1.3~rc2-2) experimental; urgency=medium
* debian/{control, rules}
- provide py3k packages
* debian/watch
- use PyPI redirector
* debian/{control, docs, rules}
- build documentation and provide a -doc package
2014-11-02 - Sandro Tosi <morph@debian.org>
python-pygraphviz (1.3~rc2-1) unstable; urgency=medium
* New upstream release candidate
* debian/patches/{2e27964ce86e8f49c496e5a549237ff6b1763e9a*.patch, 
ignore-decoding.patch}
- removed, merged upstream
* debian/rules
- run unittests at build time
* debian/patches/dont-import-tests.patch
- removed, no longer needed
* debian/control
- add python-nose to b-d, needed to run unittests
2014-10-10 - Sandro Tosi <morph@debian.org>
python-pygraphviz (1.3~rc1-1) unstable; urgency=medium
* New upstream release candidate
* Switch from CDBS + pysupport to dh sequencer and dh_python2; Closes: #759709
* debian/patches/*
- don't install data from setup.py, use dh_installexamples instead
* debian/control
- remove useless Provides
- fix typo in long description for -dbg package
- switch me to Maintainer (team to Uploaders)
- add graphviz to b-d, needed to run tests
- bump Standards-Version to 3.9.6 (no changes needed)
* debian/README.source
- removed, no longer needed
* Bump debhelper compat version to 9
* debian/copyright
- extend packaging and upstream copyright years
* debian/patches/ignore-decoding.patch
- remove locale & decoding in libgraphviz identification process
* debian/patches/dont-import-tests.patch
- disable load of tests submodule

See Also

Package Description
python-pygresql-doc_5.0.6-2_all.deb Python Pygresql (common documentation)
python-pygresql_5.0.6-2_amd64.deb PostgreSQL module for Python
python-pygtrie-doc_2.2-1_all.deb Python library implementing a trie data structure (common documentation)
python-pyhsm_1.2.1-1_all.deb Python code for talking to a Yubico YubiHSM hardware
python-pyicu_2.2-2_amd64.deb Python extension wrapping the ICU C++ API
python-pyinotify-doc_0.9.6-1.2_all.deb simple Linux inotify Python bindings -- documentation
python-pyinotify_0.9.6-1.2_all.deb simple Linux inotify Python bindings
python-pyjavaproperties_0.7-1_all.deb Python implementation of java.util.Properties
python-pykaraoke_0.7.5-1.2_amd64.deb free CDG/MIDI/MPEG karaoke player
python-pykka_2.0.0-2_all.deb Actor model library (Python 2)
python-pyknon_1.0-2+b1_amd64.deb Simple Python music library
python-pylast_2.4.0-1_all.deb Python interface to Last.fm and other compatible services
python-pyldap_3.2.0-2_amd64.deb LDAP interface module for Python 2.7 - transition package
python-pylibacl-doc_0.5.3-2_all.deb module for manipulating POSIX.1e ACLs (documentation)
python-pylibacl_0.5.3-2_amd64.deb module for manipulating POSIX.1e ACLs
Advertisement
Advertisement